Generated from the live OpenAPI document — 2026-10-19.This group has no curated guide page.All routes require Authorization: Bearer atamaia_… and return ApiEnvelope<T>({ ok, requestId, data, error, errorCode, count, hint }); the schemas below show thedata payload. * marks required properties.
Operations
| Method | Path | Summary / body | Responses |
|---|
| GET |
/api/system-logs |
|
200 PagedResultOfSystemLogDto |
| GET |
/api/system-logs/{id} |
|
200 SystemLogDto |
| GET |
/api/system-logs/summary |
|
200 SystemLogSummaryDto |
Schemas
Request and response shapes referenced by the operations above. Nested types named here are also defined under their own group or inthe group index.
PagedResultOfSystemLogDto
| Property | Type | Description |
| items* |
SystemLogDto[] |
|
| totalCount |
int32 |
|
| page |
int32 |
|
| pageSize |
int32 |
|
| hasTotal |
boolean |
|
| moreAvailable |
null,boolean |
|
| totalPages |
int32 |
|
| hasNextPage |
boolean |
|
| hasPreviousPage |
boolean |
|
SystemLogDto
| Property | Type | Description |
| id |
int64 |
|
| guid |
uuid |
|
| level |
SystemLogLevel |
|
| action |
string |
|
| source |
null,string |
|
| httpMethod |
null,string |
|
| httpPath |
null,string |
|
| httpStatusCode |
int32 |
|
| durationMs |
int32 |
|
| entityType |
LogEntityType |
|
| entityGuid |
uuid |
|
| userId |
int64 |
|
| identityId |
int64 |
|
| apiKeyId |
int64 |
|
| correlationId |
uuid |
|
| clientIp |
null,string |
|
| detailsJson |
null,string |
|
| createdAtUtc |
date-time |
|
SystemLogSummaryDto
| Property | Type | Description |
| windowHours |
int32 |
|
| since |
date-time |
|
| critical |
int32 |
|
| error |
int32 |
|
| warning |
int32 |
|
| actionable |
int32 |
|